Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2
Class NodeLayout2

    java.lang.Object
      com.hp.hpl.jena.sdb.layout2.NodeLayout2

    public class NodeLayout2

extends Object

Operations associated with nodes and layout 2 (the Triples+Nodes layout)

Author:
  Andy Seaborne

Constructor Summary
`NodeLayout2()`

Method Summary
`static long` | `hash(com.hp.hpl.jena.graph.Node n)`
`static long` | `hash(String lex, String lang, String datatype, int type)`
`static String` | `nodeToLang(com.hp.hpl.jena.graph.Node node)`
`static String` | `nodeToLex(com.hp.hpl.jena.graph.Node node)`
`static String` | `nodeToLexTruncate(com.hp.hpl.jena.graph.Node node, int length)`
`static String` | `nodeToLexTruncate(com.hp.hpl.jena.graph.Node node, int length, String logPrefix)`
`static int` | `nodeToType(com.hp.hpl.jena.graph.Node node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeLayout2

    public NodeLayout2()

Method Detail

### nodeToLex

    public static String nodeToLex(com.hp.hpl.jena.graph.Node node)

### nodeToLexTruncate

    public static String nodeToLexTruncate(com.hp.hpl.jena.graph.Node node,
                                           int length)

### nodeToLexTruncate

    public static String nodeToLexTruncate(com.hp.hpl.jena.graph.Node node,
                                           int length,
                                           String logPrefix)

### nodeToType

    public static int nodeToType(com.hp.hpl.jena.graph.Node node)

### nodeToLang

    public static String nodeToLang(com.hp.hpl.jena.graph.Node node)

### hash

    public static long hash(com.hp.hpl.jena.graph.Node n)

### hash

    public static long hash(String lex,
                            String lang,
                            String datatype,
                            int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.